MrAntiFun + WeMod Partnership Announcement

They Are Billions Trainer

kalitbartman

Active Member
Joined
Oct 4, 2014
Messages
28
Reaction score
6
Just like that what he say <.< It didn't work on Origin
yes origin says request able

what i meant when i said they no longer let you pick which version of the trainer you want to use i meant the version of the trainer like this

They Are Billions V0.9.2B 64bit Trainer +8
They Are Billions V0.10.7 64bit Trainer +8
They Are Billions V0.10.9 64bit Trainer +8
They Are Billions V0.10.10 64bit Trainer +8

before you could pick which one now i think they force you to use the newest one even if it says maybe compatible and even if an older trainer could work you can't pick it
 
Top